aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr
diff options
context:
space:
mode:
authorJa.KooLit <jimmielovejay@gmail.com>2023-11-10 09:53:28 +0900
committerGitHub <noreply@github.com>2023-11-10 09:53:28 +0900
commitb3aa3bcce011386e4865ca28d8b0fc85684583f5 (patch)
tree55772f82d6a9d1fdbdf2274b95394535718ea738 /config/hypr
parent84423d4d934edfeb91b62e6bcea865800cbfeeef (diff)
parent9bad99867b9c5a5ec36cee078833d998fe229a1b (diff)
Merge pull request #15 from Krautt/main
[FEATURE] waybar styles with rofi
Diffstat (limited to 'config/hypr')
-rwxr-xr-xconfig/hypr/scripts/WaybarStyles.sh47
1 files changed, 18 insertions, 29 deletions
diff --git a/config/hypr/scripts/WaybarStyles.sh b/config/hypr/scripts/WaybarStyles.sh
index b6819ed5..8ce2dec2 100755
--- a/config/hypr/scripts/WaybarStyles.sh
+++ b/config/hypr/scripts/WaybarStyles.sh
@@ -1,49 +1,38 @@
#!/bin/bash
-# Check which waybar theme is set
+# ACTUAL THEME
THEMEIS=$(realpath ~/.config/waybar/style.css | sed 's/.*-\(.*\)\.css/\1/')
-# Change theme
-if [ "$THEMEIS" == "default" ]; then
- SWITCHTO="-b&w"
-elif [ "$THEMEIS" == "b&w" ]; then
- SWITCHTO="-rgb"
-elif [ "$THEMEIS" == "rgb" ]; then
- SWITCHTO="-default_alter"
-elif [ "$THEMEIS" == "default_alter" ]; then
- SWITCHTO="-mauve"
-elif [ "$THEMEIS" == "mauve" ]; then
- SWITCHTO="-light"
-elif [ "$THEMEIS" == "light" ]; then
- SWITCHTO="-dark"
-elif [ "$THEMEIS" == "dark" ]; then
- SWITCHTO="-uline"
-elif [ "$THEMEIS" == "uline" ]; then
- SWITCHTO="-pywal"
+# Array for the styles
+STYLES=("default" "b&w" "rgb" "default_alter" "mauve" "light" "dark" "uline")
+
+# Build ROFI
+SELECTED_STYLE=$(printf "%s\n" "${STYLES[@]}" | rofi -dmenu -p "Choose" -lines "${#STYLES[@]}")
+
+# Here you verify the selected theme
+if [[ " ${STYLES[@]} " =~ " $SELECTED_STYLE " ]]; then
+ SWITCHTO="${SELECTED_STYLE}"
else
- SWITCHTO="-default"
+ echo "It is not valid =c"
+ exit 1
fi
-# Set the waybar theme
-THEMEFILE="$HOME/.config/waybar/style/style${SWITCHTO}.css"
+# APPLY THEME
+THEMEFILE="$HOME/.config/waybar/style/style-${SWITCHTO}.css"
if [ -f "$THEMEFILE" ]; then
ln -sf "$THEMEFILE" "$HOME/.config/waybar/style.css"
+
else
echo "Error: $THEMEFILE not found"
exit 1
fi
-# Restart waybar
-# Kill already running process
_ps=(waybar mako dunst)
for _prs in "${_ps[@]}"; do
- if [[ $(pidof ${_prs}) ]]; then
- pkill ${_prs}
- fi
+ if [[ $(pidof ${_prs}) ]]; then
+ pkill ${_prs}
+ fi
done
exec ~/.config/hypr/scripts/Refresh.sh
-
-
-
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage